| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Properties | Private Attributes | Static Private Attributes

# IG::Lib::RegisterableExamples::ExampleIRegistrable Class Reference

Example implementation of IIdentifiable interface. More...

Inheritance diagram for IG::Lib::RegisterableExamples::ExampleIRegistrable:
[legend]
Collaboration diagram for IG::Lib::RegisterableExamples::ExampleIRegistrable:
[legend]

List of all members.

## Public Member Functions
| ExampleIRegistrable (string str)
void | Register ()
| Registers the current object. Subsequent calls (after the first one) have no effect.
bool | IsRegistered ()
| Returns true if the current object is registered, false if not.
void | Unregister ()
| Unregisters the current object if it is currently registered. Can be performed several times, in this case only the first call may have effect.
override string | ToString ()
## Protected Attributes
string | _msg
## Properties
virtual int | Id`[get]`
| Returns unique Id (in the scope of a given type) of the current object. Method is defined as virtual so that derived class can have its own IDs by defining its own static IdentifiableGenerator object.
ObjectRegister < ExampleIRegistrable > | ObjectRegister`[get]`
| Gets object register where the current object is registered.
## Private Attributes
IdProxy | _idPproxy
| Proxy object that implements the IIdentifiable interface for this object.
## Static Private Attributes
static ObjectRegister < ExampleIRegistrable > | _register
| Static object that providees object register and generates IDs for this class:

## Detailed Description

Example implementation of IIdentifiable interface.

## Constructor & Destructor Documentation

IG::Lib::RegisterableExamples::ExampleIRegistrable::ExampleIRegistrable | ( | string | str | ) | `[inline]`

## Member Function Documentation

void IG::Lib::RegisterableExamples::ExampleIRegistrable::Register | ( |  | ) | `[inline]`

Registers the current object. Subsequent calls (after the first one) have no effect.

Implements IG::Lib::IRegisterable< T >.

bool IG::Lib::RegisterableExamples::ExampleIRegistrable::IsRegistered | ( |  | ) | `[inline]`

Returns true if the current object is registered, false if not.

Returns:

Implements IG::Lib::IRegisterable< T >.

void IG::Lib::RegisterableExamples::ExampleIRegistrable::Unregister | ( |  | ) | `[inline]`

Unregisters the current object if it is currently registered. Can be performed several times, in this case only the first call may have effect.

Implements IG::Lib::IRegisterable< T >.

override string IG::Lib::RegisterableExamples::ExampleIRegistrable::ToString | ( |  | ) | `[inline]`

## Member Data Documentation

string IG::Lib::RegisterableExamples::ExampleIRegistrable::_msg`[protected]`

ObjectRegister<ExampleIRegistrable> IG::Lib::RegisterableExamples::ExampleIRegistrable::_register`[static, private]`

Initial value:

                    new ObjectRegister<ExampleIRegistrable>(1 )

Static object that providees object register and generates IDs for this class:

IdProxy IG::Lib::RegisterableExamples::ExampleIRegistrable::_idPproxy`[private]`

Initial value:

                    new IdProxy(_register)

Proxy object that implements the IIdentifiable interface for this object.

## Property Documentation

virtual int IG::Lib::RegisterableExamples::ExampleIRegistrable::Id`[get]`

Returns unique Id (in the scope of a given type) of the current object. Method is defined as virtual so that derived class can have its own IDs by defining its own static IdentifiableGenerator object.

Implements IG::Lib::IIdentifiable.

ObjectRegister<ExampleIRegistrable> IG::Lib::RegisterableExamples::ExampleIRegistrable::ObjectRegister`[get]`

Gets object register where the current object is registered.

Implements IG::Lib::IRegisterable< T >.

The documentation for this class was generated from the following file:

- UtilIdRegistration.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events